### Method

# AppStreamCompose ImageTarget get_width

since: 1.2.0

#### Declaration [src]

    gint
    asc_image_target_get_width (
      AscImageTarget* target
    )

#### Description [src]

Get the requested width of this rendition. Depending on the scale mode, this may differ from the width the rendition is actually stored at.

Available since: 1.2.0

#### Return value

Type: `gint`

The requested width in pixels.